cURL
curl --request GET \
--url https://metadata.layerzero-api.com/v1/metadata/experiment/ofts/listimport requests
url = "https://metadata.layerzero-api.com/v1/metadata/experiment/ofts/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://metadata.layerzero-api.com/v1/metadata/experiment/ofts/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ZRO": [
{
"name": "ZRO Token",
"sharedDecimals": 6,
"endpointVersion": "v2",
"deployments": {
"ethereum": {
"address": "0x6985884c4392d348587b19cb9eaaf157f13271cd",
"localDecimals": 18,
"type": "OFT"
},
"arbitrum": {
"address": "0x6985884c4392d348587b19cb9eaaf157f13271cd",
"localDecimals": 18,
"type": "OFT"
},
"optimism": {
"address": "0x6985884c4392d348587b19cb9eaaf157f13271cd",
"localDecimals": 18,
"type": "OFT"
},
"base": {
"address": "0x6985884c4392d348587b19cb9eaaf157f13271cd",
"localDecimals": 18,
"type": "OFT"
}
}
}
]
}ofts
Get list
Get list of available OFTs with their deployments across chains
GET
/
list
cURL
Query Parameters
Comma-separated list of chain names to filter by
Example:
"ethereum,arbitrum,optimism,base"
Comma-separated list of token symbols to filter by
Example:
"ZRO,USDT0,XAUT0,WBTC"
Comma-separated list of protocol names to filter by
Example:
"wBTC,ZRO Token,USDT0"
Comma-separated list of contract addresses to filter by
Example:
"0x6985884c4392d348587b19cb9eaaf157f13271cd,0x6c96de32cea08842dcc4058c14d3aaad7fa41dee"
Response
200 - application/json
Successfully retrieved OFT list
Record of token symbols to their OFT configurations
Show child attributes
Show child attributes
Was this page helpful?
⌘I